### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface DocumentInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

All Known Subinterfaces:
  `NoteInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public interface DocumentInterface extends MetadataInterface
This is a simple interface for representing documents that are coming from a metadata repository.

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addObject(MetadataInterface newObject)`
  Add an object to the document's Objects association.
  `String`
  `getDocumentType()`
  `List`
  `getObjects()`
  Get the List of Objects associated to this Document.
  `String`
  `getTextRole()`
  `String`
  `getTextType()`
  `String`
  `getURI()`
  `void`
  `removeObject(MetadataInterface object)`
  Remove an object from the document's Objects association.
  `void`
  `setObjects(List objectList)`
  Set the list of objects in the document's Objects association.
  `void`
  `setTextRole(String role)`
  `void`
  `setTextType(String type)`
  `void`
  `setURI(String uri)`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getTextRole

    String getTextRole() throws ServiceException, RemoteException
    Returns:
      The document's text role.
    Throws:
      `ServiceException` - In the event of a service level error.
      `RemoteException` - in the event of remote object failure.

  - ### getTextType

    String getTextType() throws ServiceException, RemoteException
    Returns:
      The document's text type.
    Throws:
      `ServiceException` - In the event of a service level error.
      `RemoteException` - in the event of remote object failure.

  - ### getURI

    String getURI() throws ServiceException, RemoteException
    Returns:
      The document URI.
    Throws:
      `ServiceException` - In the event of a service level error.
      `RemoteException` - in the event of remote object failure.

  - ### setTextRole

    void setTextRole(String role) throws ServiceException, RemoteException
    Parameters:
      `role` - The new text role for the document.
    Throws:
      `ServiceException` - In the event of a service level error.
      `RemoteException` - in the event of remote object failure.

  - ### setTextType

    void setTextType(String type) throws ServiceException, RemoteException
    Parameters:
      `type` - The new text type for the document.
    Throws:
      `ServiceException` - In the event of a service level error.
      `RemoteException` - in the event of remote object failure.

  - ### setURI

    void setURI(String uri) throws ServiceException, RemoteException
    Parameters:
      `uri` - The new document URI.
    Throws:
      `ServiceException` - In the event of a service level error.
      `RemoteException` - in the event of remote object failure.

  - ### getDocumentType

    String getDocumentType() throws ServiceException, RemoteException
    Returns:
      The document type.
    Throws:
      `ServiceException` - In the event of a service level error.
      `RemoteException` - in the event of remote object failure.

  - ### addObject

    void addObject(MetadataInterface newObject) throws ServiceException, RemoteException
    Add an object to the document's Objects association.
    Parameters:
      `newObject` - The object add to the Objects association.
    Throws:
      `ServiceException` - In case of a service level error.
      `RemoteException` - In the event of remote object failure.

  - ### removeObject

    void removeObject(MetadataInterface object) throws ServiceException, RemoteException
    Remove an object from the document's Objects association.
    Parameters:
      `object` - The object to remove from the Objects association.
    Throws:
      `ServiceException` - In case of a service level error.
      `RemoteException` - In the event of remote object failure.

  - ### setObjects

    void setObjects(List objectList) throws ServiceException, RemoteException
    Set the list of objects in the document's Objects association.
    Parameters:
      `objectList` - The list of Objects associated to this document.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getObjects

    List getObjects() throws ServiceException, RemoteException
    Get the List of Objects associated to this Document.
    Returns:
      The list of associated objects.
    Throws:
      `ServiceException` - If a serice level error occurs.
      `RemoteException` - In the event of remote object failure.